gnutls_srp_set_server_credentials_file(3)

NAME
gnutls_srp_set_server_credentials_file - Used to set the password files, in a gnutls_srp_server_credentials_t structure

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_srp_set_server_credentials_file(gnutls_srp_server_credentials_t res, const char * password_file, const char * password_conf_file);

ARGUMENTS

gnutls_srp_server_credentials_t      res
    is an gnutls_srp_server_credentials_t structure.

const char * password_file
    is the SRP password file (tpasswd)

const char * password_conf_file
    is the SRP password conf file (tpasswd.conf)

DESCRIPTION
This function sets the password files, in a gnutls_srp_server_credentials_t structure. Those password files hold usernames and verifiers and will be used for SRP authentication.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, or an error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.